GWTextInternal Namespace Reference

Internal: the structures of a GWText. More...

## Classes

struct | PLC
| Internal : a PLC: used to store change of properties in GWTextInternal::Zone. More...
struct | Token
| Internal and low level: structure which stores a token for GWText. More...
struct | Frame
| Internal and low level: structure which stores a text position for GWText. More...
struct | Zone
| Internal and low level: structure which stores a text zone header for GWText. More...
struct | State
| Internal: the state of a GWText. More...

## Enumerations

enum | PLCType { P_Font, P_Page, P_Ruler, P_Token, P_Unknown }
| the different plc type More...

## Functions

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
std::ostream & | operator<< (std::ostream &o, Token const &token)

## Detailed Description

Internal: the structures of a GWText.

## Enumeration Type Documentation

enum GWTextInternal::PLCType

the different plc type

Enumerator
P_Font |
P_Page |
P_Ruler |
P_Token |
P_Unknown |

## Function Documentation

std::ostream& GWTextInternal::operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |

std::ostream& GWTextInternal::operator<< | ( | std::ostream & | o,
|  | Token const & | token
| ) |  |